Bug 1675874 - rawtherapee: FTBFS in Fedora rawhide/f30
Summary: rawtherapee: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rawtherapee
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mattia Verga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:47 UTC by Fedora Release Engineering
Modified: 2019-02-16 12:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-16 12:33:08 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:47 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:47 UTC, Fedora Release Engineering
no flags Details
state.log (475 bytes, text/plain)
2019-02-11 21:47 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 21:47:27 UTC
rawtherapee failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32471640


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix rawtherapee at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
rawtherapee will be orphaned. Before branching of Fedora 31,
rawtherapee will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:47:29 UTC
Created attachment 1532619 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:47:30 UTC
Created attachment 1532620 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:47:32 UTC
Created attachment 1532621 [details]
state.log

Comment 4 Mattia Verga 2019-02-12 08:43:53 UTC
See https://pagure.io/releng/issue/8096

Comment 5 Mattia Verga 2019-02-15 07:24:40 UTC
Now that libiptcdata it's unretired there's an error while building. I've reported upstream at https://github.com/Beep6581/RawTherapee/issues/5177

Comment 6 Mattia Verga 2019-02-16 12:33:08 UTC
Fixed with patch from upstream.


Note You need to log in before you can comment on or make changes to this bug.